this.name           = "Iguana-MFLscript";
this.author         = "Ngalo";
this.copyright      = "(C) 2015 'Ngalo'.";
this.licence        = "CC-NC-by-SA 3.0";
this.description    = "script for player Iguana with 2 front lasers";
this.version        = "0.1";

"use strict";
//TODO: move to worldscript

this.$controlUnit = EquipmentInfo.infoForKey("EQ_WEAPON_TWIN_LASER")

this.$lastTemp = 0;

this.shipLaunchedFromStation = this.shipExitedWormhole = function()
{
	this.$portspike = this.ship.spawnOne("[sbs_iguanaspike-port]");
	this.$stbdspike = this.ship.spawnOne("[sbs_iguanaspike-stbd]");
	this.$portspike.addCollisionException(this.ship)
	this.$portspike.addCollisionException(this.$stbdspike)
	this.$stbdspike.addCollisionException(this.ship)
	this.$stbdspike.addCollisionException(this.$portspike)

	this.$portspike.position = this.$stbdspike.position = this.ship.position;
	this.$portspike.orientation = this.$stbdspike.orientation = this.ship.orientation;

	this.$portspike.script.$faketarget = this.ship.spawnOne("faketarget");
	this.$stbdspike.script.$faketarget = this.ship.spawnOne("faketarget");
	this.$portspike.script.$faketarget_pos = new Vector3D([21.5, -4.8, 1000]);
	this.$stbdspike.script.$faketarget_pos = new Vector3D([-21.5, -4.8, 1000]);
	this.$portspike.script.$master = this.ship;
	this.$stbdspike.script.$master = this.ship;

	//this.$collisionProofer = new Timer(this, this.$collisionProofing, 2, 2) //NOT WORKING

	this.$portspike.performScriptedAI()
	this.$stbdspike.performScriptedAI()
	log ("scripted AIs started")

	this.$fireFCB = addFrameCallback(this.$updateWeaponEntities.bind(this))
}

this.$updateWeaponEntities = function()
{	
	if (this.ship.laserHeatLevelForward > this.$lastTemp && !this.$portspike.script.$firingMode && this.ship.forwardWeapon == this.$controlUnit)
	{
		this.$portspike.performScriptedAttackAI()
		this.$stbdspike.performScriptedAttackAI()
		this.$portspike.script.$firingMode = true;
		this.$stbdspike.script.$firingMode = true;
	}
	if (this.ship.laserHeatLevelForward <= this.$lastTemp && this.$portspike.script.$firingMode)
	{
		this.$portspike.performScriptedAI()
		this.$stbdspike.performScriptedAI()
		this.$portspike.script.$firingMode = false;
		this.$stbdspike.script.$firingMode = false;
	}
	this.$lastTemp = this.ship.laserHeatLevelForward;
}

this.$collisionProofing = function()
{
	log ("collision proofing targets")
	var nearbyShips = this.ship.checkScanner()
	for (var i; i < nearbyShips.length; i++)
	{
		this.$portspike.script.$faketarget.addCollisionException(nearbyShips[i])
		this.$stbdspike.script.$faketarget.addCollisionException(nearbyShips[i])
	}
}

this.shipDied = this.shipWillDockWithStation = this.playerWillEnterWitchspace = function()
{
	removeFrameCallback(this.$fireFCB)
}