this.name           = "laserent-script";
this.author         = "Ngalo";
this.copyright      = "(C) 2015 'Ngalo'.";
this.licence        = "CC-NC-by-SA 3.0";
this.description    = "script for laser entities for multi-laser player ships";
this.version        = "0.1";

"use strict";

this.$firingMode = false;

this.scriptedAI = function()
{
	var flightParameters = {
		/*"stickPitch": player.ship.pitch,
		"stickRoll": player.ship.roll,
		"stickYaw": player.ship.yaw,
		"desiredSpeed": player.ship.speed,*/
		"chosenWeapon": "FORWARD"
	};
	this.ship.position = this.$master.position;
	this.ship.orientation = this.$master.orientation;
	this.ship.target = this.$faketarget;
	this.$faketarget.position = this.ship.position.add(this.$faketarget_pos.rotateBy(this.ship.orientation));
	this.$faketarget.orientation = this.ship.orientation;

	return flightParameters;
}
/*
this.shipAttackedOther = function (other)
{
	
}
*/
this.shipKilledOther = function (whom, damageType) // copied from "railgun_projectile.js" by Commander McLane, with modifications
{
	// if the player is cloaked, no kill or bounty is awarded
	if(player.ship.isCloaked) return;
	// a kill is only awarded for ships which usually count as a kill
	if((whom.isShip && (whom.scanClass === "CLASS_NEUTRAL" || whom.scanClass === "CLASS_MILITARY" || whom.isPolice || whom.isThargoid || whom.hasRole("EQ_THARGON") || whom.isCloaked || whom.isDerelict)) || whom.isStation) player.score++;
	// if the destroyed entity had a bounty, it is awarded
	if(whom.bounty !== 0)
	{
		// special treatment for rocks and boulders, because the engine treats them so
		var trueBounty = whom.bounty;
		if(whom.isRock) {trueBounty /= 10;}
		player.credits += trueBounty;
		// the normal console message is simulated
		player.consoleMessage("bounty " + formatCredits(trueBounty, true, true) + "total " + formatCredits(player.credits, true, true));
	}
}